">

- NAME
- SYNOPSIS
- DESCRIPTION
- INSTANCE METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Relation::Predicate - Lintian type for relationship predicates

# SYNOPSIS

        use Lintian::Relation::Predicate;

# DESCRIPTION

This module provides functions for parsing and evaluating package relationships such as Depends and Recommends for binary packages and Build-Depends for source packages. It parses a relationship into an internal format and can then answer questions such as "does this dependency require that a given package be installed" or "is this relationship a superset of another relationship."

# INSTANCE METHODS

literal
`parsable`
name
multiarch_acceptor
version_operator
reference_version
build_architecture
build_profile
parse
satisfies
satisfies_inverse
to_string

# AUTHOR

Originally written by Russ Allbery <rra@debian.org> for Lintian.

# SEE ALSO

lintian(1)

<<